Skip to main content
GET
List transactions

Authorizations

api_key
string
header
required

Your Commenda Integrations API key, sent in the api_key header.

Path Parameters

companyId
integer
required

Commenda company id.

Query Parameters

limit
integer
default:20

Max records to return.

Required range: x <= 100
next
string

Cursor for the next page (from a previous response).

prev
string

Cursor for the previous page.

include_deleted_records
boolean

Include soft-deleted records.

return_count
boolean

Include the total match count in the response.

type[eq]
enum<string>

Exact match on type.

Available options:
PAYMENT,
REFUND,
CREDIT_NOTE,
FEE,
CHARGEBACK,
PAYOUT,
ADJUSTMENT
type[in]
string

Comma-separated type values (OR match).

status[eq]
enum<string>

Exact match on status.

Available options:
REQUIRES_ACTION,
PENDING,
AUTHORIZED,
PAID,
FAILED,
CANCELED,
REFUNDED,
UNKNOWN,
REVERSED
status[in]
string

Comma-separated status values (OR match).

payment_method_type[eq]
enum<string>

Exact match on payment_method_type.

Available options:
CARD,
BANK_TRANSFER,
WIRE_TRANSFER,
PAYPAL,
APPLE_PAY,
GOOGLE_PAY,
CHECK,
CASH,
CRYPTO,
OTHER,
UNKNOWN
payment_method_type[in]
string

Comma-separated payment_method_type values (OR match).

invoice_id[eq]
string

Exact match on invoice_id.

invoice_id[in]
string

Comma-separated invoice_id values (OR match).

order_id[eq]
string

Exact match on order_id.

order_id[in]
string

Comma-separated order_id values (OR match).

subscription_id[eq]
string

Exact match on subscription_id.

subscription_id[in]
string

Comma-separated subscription_id values (OR match).

contact_id[eq]
string

Exact match on contact_id.

contact_id[in]
string

Comma-separated contact_id values (OR match).

gateway[eq]
string

Exact match on gateway.

gateway[in]
string

Comma-separated gateway values (OR match).

rootfi_integration_type[eq]
string

Exact match on rootfi_integration_type.

rootfi_integration_type[in]
string

Comma-separated rootfi_integration_type values (OR match).

rootfi_updated_at[eq]
string

Exact match on rootfi_updated_at.

rootfi_updated_at[in]
string

Comma-separated rootfi_updated_at values (OR match).

rootfi_updated_at[gte]
string

rootfi_updated_at greater-than-or-equal.

rootfi_updated_at[lte]
string

rootfi_updated_at less-than-or-equal.

created_at[eq]
string

Exact match on created_at.

created_at[in]
string

Comma-separated created_at values (OR match).

created_at[gte]
string

created_at greater-than-or-equal.

created_at[lte]
string

created_at less-than-or-equal.

updated_at[eq]
string

Exact match on updated_at.

updated_at[in]
string

Comma-separated updated_at values (OR match).

updated_at[gte]
string

updated_at greater-than-or-equal.

updated_at[lte]
string

updated_at less-than-or-equal.

Response

200 - application/json

A paginated list of transactions.

data
object
required
request_id
string
required